#include "stdafx.h"
#include <omp.h>
#include <iostream>
#include <Windows.h>
int main(int argc, char* argv[])
{
	int num_cur_thread, i = 0;
	omp_set_num_threads(4);
#pragma omp parallel shared (i)
	{
		num_cur_thread = omp_get_thread_num();
		i += 1;
		std::cout << "Thread " << num_cur_thread << " i: " << i << "__" << "Hello world \n" <<
			std::endl;
	}
    system("PAUSE");
	return 0;
}
